//
//	$Date: 2000/03/27 22:34:07 $
//	$Revision: 1.2 $
//
//	UNIX$BMQ(BPIM$B%G!<%?FI=P$7%k!<%A%s(B
//
#include <stdio.h>
#include <sys/types.h>
#include <sys/dir.h>
#include <sys/stat.h>

#include "config.h"
#include "pimserver.h"

void
readdata(char *dirname) // dirname$B0J2<$N(BPIM$B%U%!%$%k$r(Bfind$B$G:F5"E*$KFI$_=P$9(B
{
	DIR *dirp;
	struct direct *dp;
	int len;
	char path[1000], ID[15];
	struct stat statbuf;

	dirp = opendir(dirname);
	if(dirp == NULL) return;
	while((dp = readdir(dirp)) != NULL && nentries < PIMMAXENTRIES) {
		if(strcmp(dp->d_name,".")==0 ||
		   strcmp(dp->d_name,"..")==0) continue;
		sprintf(path,"%s/%s",dirname,dp->d_name);
		lstat(path,&statbuf);
		if(S_ISDIR(statbuf.st_mode)){
//			strcat(path,"/");
			readdata(path);
		}
		else if(S_ISREG(statbuf.st_mode)){
			if(strlen(dp->d_name) == 18 &&
			   strcmp(dp->d_name+14,".pim")==0){
				char *title;
				title = titlestr(path);
				fprintf(stderr,"%s [%s]\n",path,title);
				sprintf(ID,"%.14s",dp->d_name);
				entries[nentries].ID = strdup(ID);
				entries[nentries].roma = strdup(roma(path));
				entries[nentries].title = strdup(title);
				nentries++;
			}
		}
	}
	closedir(dirp);
}
